Package com.orchestranetworks.userservice

# Interface UserServiceObjectContext

All Known Subinterfaces:
  `UserServiceAjaxContext`, `UserServiceEventContext`, `UserServiceGetContext`, `UserServiceObjectContextForInputValidation`, `UserServicePaneContext`, `UserServiceProcessEventOutcomeContext<S>`, `UserServiceRawPaneContext`, `UserServiceSetupDisplayContext<S>`, `UserServiceValidateContext<S>`

public interface UserServiceObjectContext
This interface provides methods to access objects registered for the user service.

Since:
  5.8.0
See Also:
  - `UserServiceObjectContextBuilder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AccessPermission`
  `getPermission(ObjectKey anObjectKey, Path aPath)`
  Returns the current user's access rights on the node of a user service object.
  `ValueContext`
  `getValueContext(ObjectKey anObjectKey)`
  Returns the value context for object `ObjectKey`.
  `ValueContext`
  `getValueContext(ObjectKey anObjectKey, Path aPath)`
  Returns the value context for object `ObjectKey` and path `aPath`.
  `boolean`
  `isDataDeleted(ObjectKey anObjectKey)`
  Returns true if the underlying record or dataset has been deleted, possibly by another user.

- ## Method Details

  - ### getValueContext

    ValueContext getValueContext(ObjectKey anObjectKey)
    Returns the value context for object `ObjectKey`.

    This method returns the same result as `getValueContext(ObjectKey anObjectKey, Path.ROOT)`.

    Parameters:
      `anObjectKey` - the key of the object in the object context.
    Returns:
      The value context.
    Throws:
      `RuntimeException` - if `anObjectKey` is invalid.

  - ### getValueContext

    ValueContext getValueContext(ObjectKey anObjectKey, Path aPath)
    Returns the value context for object `ObjectKey` and path `aPath`.
    Parameters:
      `anObjectKey` - the key of the object in the object context.
      `aPath` - a path to an attribute of the object.
    Returns:
      The value context.
    Throws:
      `RuntimeException` - if either `anObjectKey` or `aPath` are invalid.

  - ### getPermission

    AccessPermission getPermission(ObjectKey anObjectKey, Path aPath)
    Returns the current user's access rights on the node of a user service object.
    Parameters:
      `anObjectKey` - the object's key.
      `aPath` - the path of the node. The path must be relative to the path of the object.
    Returns:
      the access permission.
    Throws:
      `PathAccessException` - to report that the path is invalid.
      `RuntimeException` - if `anObjectKey` is invalid.
    See Also:
      - `SessionPermissions.getNodeAccessPermissionForForm(SchemaNode, Adaptation)`

  - ### isDataDeleted

    boolean isDataDeleted(ObjectKey anObjectKey)
    Returns true if the underlying record or dataset has been deleted, possibly by another user.
    Parameters:
      `anObjectKey` - the key of the object in the object context.
    Returns:
      `true` if the underlying data was deleted. Will always return `false` if the object is not a dataset or a record or if it is a record being created.
    Throws:
      `RuntimeException` - if `anObjectKey` is invalid.
    Since:
      5.8.1